Opened 14 years ago

Closed 14 years ago

Last modified 14 years ago

#453 closed Bug (invalid)

0.92 CLI won't build under OSX

Reported by: m1b Owned by: charles
Priority: Normal Milestone: None Set
Component: CLI Version: 0.95
Severity: Normal Keywords:
Cc:

Description

It is desirable to use the CLI version (plus daemon) under OSX. I downloaded the source and tried ./configure;make only to find that configure fails while trying to use pkg-config, which isn't present in either Tiger or Leopard by default, to do something with OpenSSL. While the error message says that, in the absence of pkg-config, I can set OPENSSL_CFLAGS and OPENSSL_LIBS, I'm not entirely sure what to set them to. I would expect OPENSSL_CFLAGS to pick up CFLAGS by default, but I'm stumped about OPENSSL_LIBS, especially since dyld makes library linking behavior different under OSX.

Change History (5)

comment:1 Changed 14 years ago by mezz

Almost same thing that I have reported over at #450, I am hoping that Charles will change his mind and reopen this ticket.

comment:2 Changed 14 years ago by charles

  • Component changed from Transmission to CLI
  • Owner changed from somebody to charles

comment:3 Changed 14 years ago by tiennou

  • Resolution set to invalid
  • Status changed from new to closed

You need to use Xcode to build cli on OSX.

comment:4 Changed 14 years ago by Thinine

Right, which makes this a bug, doesn't it? At least for me, I want to build the CLI and daemon on a remote server, not on my local machine and upload (which isn't even possible when I'm forced to use a Windows machine). Not only that, but this is a regression from previous behavior, which should be justified in some way. Secondly, this bug affects the entire build process, making remote building impossible, if the directions on the development page are accurate.

comment:5 Changed 14 years ago by Thinine

Also makes local building via the command line impossible.

Note: See TracTickets for help on using tickets.